/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jaas;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

/**
 * 
 * Created on 20 mars 2008
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * @since
 * 
 */
public class UserPrincipalTest {

    /**
     * Test method for {@link org.ow2.petals.jaas.UserPrincipal#equals(java.lang.Object)}.
     */
    @Test
    public void testEqualsObject() {
        final UserPrincipal up1 = new UserPrincipal("userA");
        final UserPrincipal up2 = new UserPrincipal("userA");
        final UserPrincipal up3 = new UserPrincipal("userB");
        assertTrue(up1.equals(up2));
        assertFalse(up1.equals(up3));
        assertFalse(up2.equals(up3));
    }
    
    @Test
    public void testHashCode() {
        UserPrincipal up1 = new UserPrincipal("userA");
        UserPrincipal up2 = new UserPrincipal("userA");
        UserPrincipal up3 = new UserPrincipal("userB");
        assertTrue(up1.hashCode() == up2.hashCode());
        assertFalse(up1.hashCode() == up3.hashCode());
        assertFalse(up2.hashCode() == up3.hashCode());
    }

}
